GetPlayer = GLOBAL.GetPlayer
--local require = GLOBAL.require
--local STRINGS = GLOBAL.STRINGS
--require "class"
--GLOBAL.EQUIPSLOTS.RNW_LUGG = "rnw_lugg"

GLOBAL.STRINGS.NAMES.HAT_WIZZARD = "Wizzard Hat"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_WIZZARD = "Every wizard needs a wizard hat. That's how you know he's a wizard!"

GLOBAL.STRINGS.NAMES.RNW_LUGGAGE = "Luggage"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.RNW_LUGGAGE = "It's the Luggage...Sapient creature of malice"

--------------

--GLOBAL.EQUIPSLOTS.RNW_LUGG = "rnw_lugg"

LUGGAGE_PICKUP = GLOBAL.Action({},1)
LUGGAGE_PICKUP.str = "Luggage pickup"
LUGGAGE_PICKUP.id = "LUGGAGE_PICKUP"

LUGGAGE_PICKUP.fn = function(act)
	if act.doer.components.container and act.target and act.target.components.inventoryitem and not act.target:IsInLimbo() then
		act.doer.components.container:GiveItem(act.target, nil, GLOBAL.Vector3(TheSim:GetScreenPos(act.target.Transform:GetWorldPosition())))
		
	end
	return true 
end

AddAction(LUGGAGE_PICKUP)
--------------------------------------------------

PrefabFiles = {
	"rnw",
	"hat_wizzard",
	"rnw_luggage",
	"bee",
	"chester",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/rnw.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/rnw.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/rnw.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rnw.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/rnw_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/rnw_silho.xml" ),

    Asset( "IMAGE", "bigportraits/rnw.tex" ),
    Asset( "ATLAS", "bigportraits/rnw.xml" ),
	
	Asset("IMAGE", "images/minimap/rincewind.tex"), --v1.2
	Asset("ATLAS", "images/minimap/rincewind.xml"), --v1.2
	
	Asset("IMAGE", "images/minimap/rnw_luggage.tex"), --v1.2
	Asset("ATLAS", "images/minimap/rnw_luggage.xml"), --v1.2
	
	Asset("IMAGE", "images/minimap/hat_wizzard.tex"), --v1.5
	Asset("ATLAS", "images/minimap/hat_wizzard.xml"), --v1.5
	
--	Asset("IMAGE", "images/slots5.tex"),
--	Asset("ATLAS", "images/slots5.xml"),
}

AddModCharacter("rnw")
AddPrefabPostInit('hat_wizzard')
AddPrefabPostInit('rnw_luggage')
AddPrefabPostInit('bee')
AddPrefabPostInit('chester')

table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "Rincewind")
--added v1.2
AddMinimapAtlas("images/minimap/rincewind.xml")
AddMinimapAtlas("images/minimap/rnw_luggage.xml")
AddMinimapAtlas("images/minimap/hat_wizzard.xml")

-- AddClassPostConstruct("screens/playerhud", function(self) 
	-- local oldfn = self.SetMainCharacter
	-- function self:SetMainCharacter(maincharacter,...)
		-- oldfn(self, maincharacter,...)
		-- if not(self.controls and self.controls.inv) then
			-- print("ERROR: Can't inject in screens/playerhud.")
			-- return
		-- end
		-- self.controls.inv:AddEquipSlot(GLOBAL.EQUIPSLOTS.RNW_LUGG, "images/slots5.xml", "back.tex")
		-- --self.controls.inv:AddEquipSlot(EQUIPSLOTS.NECK, "images/slots5.xml", "neck.tex")
		-- if self.controls.inv.bg then
			-- self.controls.inv.bg:SetScale(1.35,1,1.35)
		-- end
		-- --local bp = maincharacter.components.inventory:GetEquippedItem(EQUIPSLOTS.BACK)
		-- --if bp and bp.components.container then
		-- --	bp.components.container:Close()
		-- --	bp.components.container:Open(maincharacter)
		-- --end
	-- end
-- end)


if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then 
	local function AoSFix(inst) 
	inst:AddComponent("switch") 
	end 
end

for _, moddir in ipairs(GLOBAL.KnownModIndex:GetModsToLoad()) do 
	if GLOBAL.KnownModIndex:GetModInfo(moddir).name == "Always On Status" then 
	AddPrefabPostInit("clementine", AoSFix) 
	end 
end
