local Lugg_inv = Class(function(self, inst)
    self.inst = inst
	self.owner = nil

    self.lugg_inv = {items={}}
	
end)

function Lugg_inv:OnSave()
	local data = {items= {}}
	--local luggage = self.owner --currently being saved to luggages component which is bad
	local rincewind = GetPlayer()
	if self.owner:HasTag("luggage") then --ONLY luggage save this
		--print("lugg_inv saving by", self.owner, "has tag luggage?", self.owner:HasTag("luggage"))
		for k,v in pairs(self.owner.components.container.slots) do 
			if v:IsValid() then --only save the valid items
				--print("k,v,getsaverecord", k, v, v:GetSaveRecord())
				data.items[k] = v:GetSaveRecord()
			end
		end
		rincewind.cached_luggage_contents = data
	elseif self.owner:HasTag("rincewind") then
		--do rincewinds save here
		data = rincewind.cached_luggage_contents
		rincewind.profile:SetValue("lugg_inv", data)
	end
	return data
end  
 
function Lugg_inv:OnNewSpawn()
	local data = GetPlayer():GetSaveRecord().data
	local luggage = self.owner
	if data.lugg_inv and data.lugg_inv.items then 
		print("attempting to load lugg inv into luggage by", self.owner, "and contents")
		for k,v in pairs(data.lugg_inv.items) do
			--print(v, "item found")
			local curr_item = SpawnSaveRecord(v, luggage) --where did luggage come from?
			if curr_item then
				luggage.components.container:GiveItem(curr_item, k)
			end
		end
	end
end

return Lugg_inv
